<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-intro-changelog">
  <?dbhtml filename="changelog.html"?>

  <title>Changelog</title>

  <para>This is version &version; of the Linux From Scratch book, dated
  &releasedate;. If this book is more than six months old, a newer and better
  version is probably already available. To find out, please check one of the
  mirrors via <ulink url="&lfs-root;mirrors.html"/>.</para>

  <para>Below is a list of changes made since the previous release of the
  book.</para>

  <itemizedlist>
    <title>Changelog Entries:</title>

<!-- Changelog template

    <listitem>
      <para>Date</para>
      <itemizedlist>
        <listitem>
          <para>[name] - New changelog entry.</para>
        </listitem>
        <listitem>
          <para>[name] - Previous changelog entry.</para>
        </listitem>
      </itemizedlist>
    </listitem>

    Note:  If a change is only specific to sysv or systemd, then use
    <listitem revision="sysv"> or <listitem revision="systemd"> as
    appropriate for the entry or if needed the entire day's listitem.
    -->

    <listitem>
      <para>2025-03-15</para>
      <itemizedlist>
        <listitem>
          <para>[bdubbs] - Update to vim-9.1.1202. Addresses
          <ulink url='&lfs-ticket-root;4500'>#4500</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to iana-etc-20250304. Addresses
          <ulink url='&lfs-ticket-root;5006'>#5006</ulink>.</para>
        </listitem>
        <listitem revision='sysv'>
          <para>[bdubbs] - Update to sysklogd-2.7.1. Fixes
          <ulink url='&lfs-ticket-root;5668'>#5668</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to setuptools-76.0.0. Fixes
          <ulink url='&lfs-ticket-root;5665'>#5665</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to pkgconf-2.4.3. Fixes
          <ulink url='&lfs-ticket-root;5672'>#5672</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to man-pages-6.13. Fixes
          <ulink url='&lfs-ticket-root;5673'>#5673</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to linux-6.13.7. Fixes
          <ulink url='&lfs-ticket-root;5664'>#5664</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to libcap-2.75. Fixes
          <ulink url='&lfs-ticket-root;5667'>#5667</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to kmod-34.1. Fixes
          <ulink url='&lfs-ticket-root;5671'>#5671</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to jinja2-3.1.6. Fixes
          <ulink url='&lfs-ticket-root;5670'>#5670</ulink>.</para>
        </listitem>
        <listitem>
          <para>[bdubbs] - Update to expat-2.7.0. Fixes
          <ulink url='&lfs-ticket-root;5675'>#5675</ulink>.</para>
        </listitem>
        <listitem revision='systemd'>
          <para>[bdubbs] - Update to dbus-1.16.2. Fixes
          <ulink url='&lfs-ticket-root;5663'>#5663</ulink>.</para>
        </listitem>
      </itemizedlist>
    </listitem>

    <listitem>
      <para>2025-03-05</para>
      <itemizedlist>
        <listitem>
          <para>[bdubbs] - LFS-12.3 released.</para>
        </listitem>
      </itemizedlist>
    </listitem>

  </itemizedlist>
</sect1>
